## libnss-extrausers 0.1

=== Makefile ===
# Makefile for nss-extrausers

CC = gcc
prefix = /usr
exec_prefix = ${prefix}
libprefix = ${exec_prefix}/lib
DESTDIR=
OBJECTS=shadow.o passwd.o group.o
SHARED_OBJECT = libnss_extrausers.so.1
CFLAGS = -g -O2 -Wall -Wstrict-prototypes -Wpointer-arith -Wmissing-prototypes
LDFLAGS= -shared -Wl,-soname,$(SHARED_OBJECT) -Wl,-z,defs --no-allow-shlib-undefined

all: $(SHARED_OBJECT)

$(SHARED_OBJECT): $(OBJECTS)
	gcc $(CFLAGS) $(LDFLAGS) -o $(SHARED_OBJECT) $(OBJECTS) -lc

shadow.o: shadow.c s_config.h
	$(CC) $(CFLAGS) -fPIC -c -o shadow.o shadow.c
group.o: group.c s_config.h
	$(CC) $(CFLAGS) -fPIC -c -o group.o group.c
passwd.o: passwd.c s_config.h
	$(CC) $(CFLAGS) -fPIC -c -o passwd.o passwd.c

install:
	cp $(SHARED_OBJECT) $(DESTDIR)$(libprefix)

clean:
	rm -f $(OBJECTS)
	rm -f $(SHARED_OBJECT)

distclean: clean

## libnss-extrausers 0.3

=== debian/changelog ===
libnss-extrausers (0.3-1) unstable; urgency=low

  * fix spelling error in README (Closes: 573130)
  * allow gid 100 (Closes: 566399)
  * bump standards version
  * switch to 3.0 source format

 -- Bernhard R. Link <brlink@debian.org>  Tue, 09 Mar 2010 14:55:13 +0100

libnss-extrausers (0.2-3) unstable; urgency=low

  * when a group cannot be returned because of insufficuent
    buffers supplied by the caller, continue with the same group
    next time (Closes: 536789)

 -- Bernhard R. Link <brlink@debian.org>  Tue, 28 Jul 2009 11:00:09 +0200

libnss-extrausers (0.2-2) unstable; urgency=low

  * fix build problem on architectures without an alternative
    architecture to build libraries for (Closes: 530882)

 -- Bernhard R. Link <brlink@debian.org>  Fri, 29 May 2009 17:07:16 +0200

libnss-extrausers (0.2-1) unstable; urgency=low

  * new version
  - ignore lines starting with # to allow comments
  * install 32-bit or 64-bit version on architectures where possible

 -- Bernhard R. Link <brlink@debian.org>  Wed, 27 May 2009 13:57:34 +0200

libnss-extrausers (0.1-2) unstable; urgency=low

  * install README file (closes: #488746)
  * update to Standards-Version 3.8.0
  - support DEB_BUILD_OPTIONS

 -- Bernhard R. Link <brlink@debian.org>  Tue,  1 Jul 2008 17:31:02 +0200

libnss-extrausers (0.1-1) unstable; urgency=low

  * Initial upload

 -- Bernhard R. Link <brlink@debian.org>  Tue, 17 Apr 2007 16:53:43 +0200

libnss-extrausers (0.1-0) local-etch; urgency=low

  * general clean up and rename to prepare publishing

 -- Bernhard R. Link <brlink@debian.org>  Tue, 13 Feb 2007 21:41:26 +0100

=== debian/control ===
Source: libnss-extrausers
Section: admin
Priority: extra
Maintainer: Bernhard R. Link <brlink@debian.org>
Build-Depends: debhelper (>= 5), gcc-multilib [sparc i386 kfreebsd-amd64 amd64 mips mipsel powerpc s390]
Standards-Version: 3.8.4

Package: libnss-extrausers
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: ${alternatelibs:Suggests}
Description: nss module to have an additional passwd, shadow and group file
 This Name Service Switch (NSS) module reads /var/lib/extrausers/passwd,
 /var/lib/extrausers/shadow and /var/lib/extrausers/groups, allowing to
 store system accounts and accounts copied from other systems in different
 files.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEB_HOST_GNU_TYPE := $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_HOST_ARCH := $(shell dpkg-architecture -qDEB_HOST_ARCH)

CFLAGS = -Wall -g -Wextra -Wmissing-prototypes -Wstrict-prototypes -Wpointer-arith
ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
        CFLAGS += -O0
else
        CFLAGS += -O2
endif
ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
        MAKEFLAGS += -j$(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
endif
ALSODO =
# life would be to simple if there was something to work everywhere....
ABIFLAG_32=-m32
ABIFLAG_64=-m64
# do not forget to update Build-depends when changing something here:
ifeq ($(DEB_HOST_ARCH),sparc)
ALSODO = 64
else ifeq ($(DEB_HOST_ARCH),i386)
ALSODO = 64
else ifeq ($(DEB_HOST_ARCH),kfreebsd-amd64)
ALSODO = 32
else ifeq ($(DEB_HOST_ARCH),amd64)
ALSODO = 32
else ifeq ($(DEB_HOST_ARCH),mips)
ABIFLAG_32=-mabi=n32
ABIFLAG_64=-mabi=64
ALSODO = 64 32
else ifeq ($(DEB_HOST_ARCH),mipsel)
ABIFLAG_32=-mabi=n32
ABIFLAG_64=-mabi=64
ALSODO = 64 32
else ifeq ($(DEB_HOST_ARCH),powerpc)
ALSODO = 64
else ifeq ($(DEB_HOST_ARCH),s390)
ALSODO = 64
endif

build-arch: build-arch-stamp $(foreach bits,$(ALSODO),build-arch-$(bits)-stamp)
build-indep:
build: build-arch-stamp

build-arch-%-stamp:
	$(MAKE) BITSOFS=$* CC="$(DEB_HOST_GNU_TYPE)-gcc" CFLAGS="$(ABIFLAG_$*) $(CFLAGS)"
	touch $@

build-arch-stamp:
	dh_testdir
	$(MAKE) CC="$(DEB_HOST_GNU_TYPE)-gcc" CFLAGS="$(CFLAGS)"
	touch build-arch-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-arch*-stamp
	$(MAKE) clean
	rm -f *.o *.so *.so.*
	dh_clean

# Build architecture-independent files here.
binary-indep: build-indep
# We have nothing to do

LIBNAME = libnss_extrausers.so.2

# Build architecture-dependent files here.
binary-arch: build-arch
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	$(MAKE) install DESTDIR=$(CURDIR)/debian/libnss-extrausers
	for also in $(ALSODO) ; do \
		$(MAKE) BITSOFS=$${also} install DESTDIR=$(CURDIR)/debian/libnss-extrausers ; \
	done
	install -m 644 debian/libnss-extrausers.lintian debian/libnss-extrausers/usr/share/lintian/overrides/libnss-extrausers
	dh_installchangelogs
	dh_installdocs
	dh_link
	dh_strip
	[ "$(ALSODO)" = "" ] || \
	  dpkg-shlibdeps -Tdebian/libnss-extrausers.substvars \
	    -palternatelibs -dSuggests \
	    $(foreach bits,$(ALSODO), debian/libnss-extrausers/usr/lib$(bits)/$(LIBNAME))
	dh_shlibdeps $(foreach bits,$(ALSODO), -X/usr/lib$(bits)/$(LIBNAME))
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build build-arch build-indep clean binary-indep binary-arch binary

## libnss-extrausers 0.4

=== Makefile ===
# Makefile for nss-extrausers

CC = gcc
prefix = /usr
exec_prefix = ${prefix}
BITSOFS=
libprefix = ${exec_prefix}/lib$(BITSOFS)
DESTDIR=
OBJSUFFIX=$(BITSOFS).o
OBJECTS=shadow$(OBJSUFFIX) passwd$(OBJSUFFIX) group$(OBJSUFFIX)
SHARED_OBJECT = libnss_extrausers$(BITSOFS).so.2
INSTALL_NAME = libnss_extrausers.so.2
# This only works sometimes, give manually when needed:
BIT_CFLAGS = $(if $(BITSOFS),-m$(BITSOFS))
CFLAGS = $(BIT_CFLAGS) -g -O2 -Wall -Wstrict-prototypes -Wpointer-arith -Wmissing-prototypes
CPPFLAGS =
LIBS = -lc
LDFLAGS = -shared -Wl,-soname,$(INSTALL_NAME) -Wl,-z,defs --no-allow-shlib-undefined

all: $(SHARED_OBJECT)

$(SHARED_OBJECT): $(OBJECTS)
	$(CC) $(CFLAGS) $(LDFLAGS) -o $(SHARED_OBJECT) $(OBJECTS) $(LIBS)

%$(OBJSUFFIX): %.c s_config.h
	$(CC) $(CPPFLAGS) $(CFLAGS) -fPIC -c -o $@ $<

install:
	install -m755 -d $(DESTDIR)$(libprefix)/
	install -m644 $(SHARED_OBJECT) $(DESTDIR)$(libprefix)/$(INSTALL_NAME)

clean:
	rm -f $(OBJECTS)
	rm -f $(SHARED_OBJECT)

distclean: clean

.PHONY: all

=== debian/changelog ===
libnss-extrausers (0.4-2~bpo60+1) squeeze-backports; urgency=low

  * Rebuild for squeeze-backports (added myself to Uploaders).

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Wed, 31 Aug 2011 11:11:27 -0400

libnss-extrausers (0.4-2) unstable; urgency=low

  * do not use --no-allow-shlib-undefined gcc no longer
    supports (Closes: 624971)
  * Standards-Version to 3.9.2, no changes needed

 -- Bernhard R. Link <brlink@debian.org>  Thu, 05 May 2011 12:07:52 +0200

libnss-extrausers (0.4-1) unstable; urgency=low

  * treat empty fields as -1 to appease new glibc
  * modernize Debian packaging
  - debhelper compatibility to 7
  - standards version to 3.9.1
  - use dpkg-buildflags (and thus build-depend on new enough dpkg-dev)

 -- Bernhard R. Link <brlink@debian.org>  Sat, 05 Mar 2011 16:16:19 +0100

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,11 @@
 Section: admin
 Priority: extra
 Maintainer: Bernhard R. Link <brlink@debian.org>
-Build-Depends: debhelper (>= 5), gcc-multilib [sparc i386 kfreebsd-amd64 amd64 mips mipsel powerpc s390]
-Standards-Version: 3.8.4
+Uploaders: Daniel Kahn Gillmor <dkg@fifthhorseman.net>
+Build-Depends: debhelper (>= 7), gcc-multilib [sparc i386 kfreebsd-amd64 amd64 mips mipsel powerpc s390], dpkg-dev (>= 1.15.7~)
+Standards-Version: 3.9.2
+Vcs-Browser: http://git.debian.org/?p=users/brlink/libnss-extrausers.git;a=shortlog;h=refs/heads/debian
+Vcs-Git: git://git.debian.org/users/brlink/libnss-extrausers.git --branch debian
 
 Package: libnss-extrausers
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -6,12 +6,15 @@
 DEB_HOST_GNU_TYPE := $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 DEB_HOST_ARCH := $(shell dpkg-architecture -qDEB_HOST_ARCH)
 
-CFLAGS = -Wall -g -Wextra -Wmissing-prototypes -Wstrict-prototypes -Wpointer-arith
-ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
-        CFLAGS += -O0
-else
-        CFLAGS += -O2
-endif
+CFLAGS := $(shell dpkg-buildflags --get CFLAGS)
+CPPFLAGS := $(shell dpkg-buildflags --get CPPFLAGS)
+LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS)
+
+CFLAGS += -Wall -g -Wextra -Wmissing-prototypes -Wstrict-prototypes -Wpointer-arith
+# -Wl,--no-allow-shlib-undefined not possible due to 625712
+# (and libc no longer pulling in ld-linux.so in directly)
+LDFLAGS := -shared -Wl,-soname,$$(INSTALL_NAME) -Wl,-z,defs $(LDFLAGS)
+
 ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
         MAKEFLAGS += -j$(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
 endif
@@ -47,12 +50,12 @@
 build: build-arch-stamp
 
 build-arch-%-stamp:
-	$(MAKE) BITSOFS=$* CC="$(DEB_HOST_GNU_TYPE)-gcc" CFLAGS="$(ABIFLAG_$*) $(CFLAGS)"
+	$(MAKE) BITSOFS=$* CC="$(DEB_HOST_GNU_TYPE)-gcc" CFLAGS='$(ABIFLAG_$*) $(CFLAGS)' CPPFLAGS='$(CPPFLAGS)' LDFLAGS='$(LDFLAGS)'
 	touch $@
 
 build-arch-stamp:
 	dh_testdir
-	$(MAKE) CC="$(DEB_HOST_GNU_TYPE)-gcc" CFLAGS="$(CFLAGS)"
+	$(MAKE) CC="$(DEB_HOST_GNU_TYPE)-gcc" CFLAGS='$(CFLAGS)' CPPFLAGS='$(CPPFLAGS)' LDFLAGS='$(LDFLAGS)'
 	touch build-arch-stamp
 
 clean:
@@ -73,7 +76,7 @@
 binary-arch: build-arch
 	dh_testdir
 	dh_testroot
-	dh_clean -k
+	dh_prep
 	dh_installdirs
 	$(MAKE) install DESTDIR=$(CURDIR)/debian/libnss-extrausers
 	for also in $(ALSODO) ; do \

## libnss-extrausers 0.5

=== debian/changelog ===
libnss-extrausers (0.5-1) unstable; urgency=low

  * groups with too low gid are ignore instead of considered error
    (Closes: 627279)

 -- Bernhard R. Link <brlink@debian.org>  Wed, 14 Sep 2011 18:59:29 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,6 @@
 Section: admin
 Priority: extra
 Maintainer: Bernhard R. Link <brlink@debian.org>
-Uploaders: Daniel Kahn Gillmor <dkg@fifthhorseman.net>
 Build-Depends: debhelper (>= 7), gcc-multilib [sparc i386 kfreebsd-amd64 amd64 mips mipsel powerpc s390], dpkg-dev (>= 1.15.7~)
 Standards-Version: 3.9.2
 Vcs-Browser: http://git.debian.org/?p=users/brlink/libnss-extrausers.git;a=shortlog;h=refs/heads/debian

=== debian/rules ===
--- 
+++ 
@@ -10,10 +10,10 @@
 CPPFLAGS := $(shell dpkg-buildflags --get CPPFLAGS)
 LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS)
 
-CFLAGS += -Wall -g -Wextra -Wmissing-prototypes -Wstrict-prototypes -Wpointer-arith
+CFLAGS += -Wall -Wextra -Wmissing-prototypes -Wstrict-prototypes -Wpointer-arith
 # -Wl,--no-allow-shlib-undefined not possible due to 625712
 # (and libc no longer pulling in ld-linux.so in directly)
-LDFLAGS := -shared -Wl,-soname,$$(INSTALL_NAME) -Wl,-z,defs $(LDFLAGS)
+LDFLAGS += -Wl,-z,defs
 
 ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
         MAKEFLAGS += -j$(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))

## libnss-extrausers 0.6

=== Makefile ===
--- 
+++ 
@@ -15,12 +15,14 @@
 CFLAGS = $(BIT_CFLAGS) -g -O2 -Wall -Wstrict-prototypes -Wpointer-arith -Wmissing-prototypes
 CPPFLAGS =
 LIBS = -lc
-LDFLAGS = -shared -Wl,-soname,$(INSTALL_NAME) -Wl,-z,defs --no-allow-shlib-undefined
+LDLIBFLAGS = -shared -Wl,-soname,$(INSTALL_NAME)
+LDFLAGS = -Wl,-z,defs
+VERSION = unreleased
 
 all: $(SHARED_OBJECT)
 
 $(SHARED_OBJECT): $(OBJECTS)
-	$(CC) $(CFLAGS) $(LDFLAGS) -o $(SHARED_OBJECT) $(OBJECTS) $(LIBS)
+	$(CC) $(CFLAGS) $(LDLIBFLAGS) $(LDFLAGS) -o $(SHARED_OBJECT) $(OBJECTS) $(LIBS)
 
 %$(OBJSUFFIX): %.c s_config.h
 	$(CC) $(CPPFLAGS) $(CFLAGS) -fPIC -c -o $@ $<
@@ -35,4 +37,10 @@
 
 distclean: clean
 
+dist: Makefile README s_config.h $(patsubst %$(OBJSUFFIX),%.c,$(OBJECTS))
+	mkdir libnss-extrausers-$(VERSION)
+	install -m 644 $^ libnss-extrausers-$(VERSION)
+	tar -cvvzf libnss-extrausers_$(VERSION).orig.tar.gz libnss-extrausers-$(VERSION)
+	rm -r libnss-extrausers-$(VERSION)
+
 .PHONY: all

=== debian/changelog ===
libnss-extrausers (0.6-6ubuntu1) plucky; urgency=medium

  * Do not build for s390 on s390x, gcc-multilib no longer exists there

 -- Graham Inggs <ginggs@ubuntu.com>  Mon, 24 Mar 2025 14:26:08 +0000

libnss-extrausers (0.6-6) unstable; urgency=medium

  * QA upload.
  * Added d/gbp.conf to describe branch layout.
  * Updated d/gbp.conf to enforce the use of pristine-tar.
  * Updated Standards-Version from 3.9.3 to 4.7.0.
  * Use wrap-and-sort -at for debian control files.
  * Bump debhelper dependency to >= 9, since that's what is used in
    debian/compat.
  * Bump debhelper from deprecated 9 to 13.
  * Set debhelper-compat version in Build-Depends.
  * Change priority extra to priority optional.
  * Use ?= for assignments to architecture variables.
  * Change Vcs-* URLs from alioth to salsa.
  * Add debian/salsa-ci.yml.

 -- Roland Rosenfeld <roland@debian.org>  Fri, 25 Oct 2024 14:15:05 +0200

libnss-extrausers (0.6-5) unstable; urgency=medium

  [ Simon Quigley ]
  * Team upload.
  * ACK the previous NMU on behalf of the Debian QA Team. Thank you!

  [ James Henstridge ]
  * Allow low group IDs in order to extend /etc/group group membership
    (LP: #785051).

 -- Simon Quigley <tsimonq2@debian.org>  Fri, 19 Jan 2024 11:53:07 -0600

libnss-extrausers (0.6-4.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Wed, 13 Jul 2022 17:30:32 +0200

libnss-extrausers (0.6-4) unstable; urgency=medium

  * orphan package
  * apply some patches from Philipp Hahn
  * move git repository to collab-maint
  * replace ldconfig call with a trigger
  * switch debian/compat to 9

 -- Bernhard R. Link <brlink@debian.org>  Mon, 05 Sep 2016 16:08:15 +0200

libnss-extrausers (0.6-3) unstable; urgency=low

  * fix building lib32 on x390x (needs -m31 instead of -m32)

 -- Bernhard R. Link <brlink@debian.org>  Wed, 16 May 2012 11:28:03 +0200

libnss-extrausers (0.6-2) unstable; urgency=low

  * add lib32 variant to s390x

 -- Bernhard R. Link <brlink@debian.org>  Tue, 15 May 2012 14:35:28 +0200

libnss-extrausers (0.6-1) unstable; urgency=low

  * ignore empty lines (Closes: 653102, 666157)
  * Standards-Version to 3.9.3, no changes needed

 -- Bernhard R. Link <brlink@debian.org>  Wed, 04 Apr 2012 17:38:14 +0200

=== debian/control ===
Source: libnss-extrausers
Section: admin
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper-compat (= 13),
               dpkg-dev (>= 1.15.7~),
               gcc-multilib [sparc i386 kfreebsd-amd64 amd64 mips mipsel powerpc s390],
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/debian/libnss-extrausers
Vcs-Git: https://salsa.debian.org/debian/libnss-extrausers.git

Package: libnss-extrausers
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
Suggests: ${alternatelibs:Suggests},
Description: nss module to have an additional passwd, shadow and group file
 This Name Service Switch (NSS) module reads /var/lib/extrausers/passwd,
 /var/lib/extrausers/shadow and /var/lib/extrausers/groups, allowing to
 store system accounts and accounts copied from other systems in different
 files.

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 #export DH_VERBOSE=1
 
 DEB_HOST_GNU_TYPE := $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
-DEB_HOST_ARCH := $(shell dpkg-architecture -qDEB_HOST_ARCH)
+DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
 
 CFLAGS := $(shell dpkg-buildflags --get CFLAGS)
 CPPFLAGS := $(shell dpkg-buildflags --get CPPFLAGS)
@@ -47,7 +47,7 @@
 
 build-arch: build-arch-stamp $(foreach bits,$(ALSODO),build-arch-$(bits)-stamp)
 build-indep:
-build: build-arch-stamp
+build: build-arch
 
 build-arch-%-stamp:
 	$(MAKE) BITSOFS=$* CC="$(DEB_HOST_GNU_TYPE)-gcc" CFLAGS='$(ABIFLAG_$*) $(CFLAGS)' CPPFLAGS='$(CPPFLAGS)' LDFLAGS='$(LDFLAGS)'
@@ -82,7 +82,6 @@
 	for also in $(ALSODO) ; do \
 		$(MAKE) BITSOFS=$${also} install DESTDIR=$(CURDIR)/debian/libnss-extrausers ; \
 	done
-	install -m 644 debian/libnss-extrausers.lintian debian/libnss-extrausers/usr/share/lintian/overrides/libnss-extrausers
 	dh_installchangelogs
 	dh_installdocs
 	dh_link
